# IHK-Projektdokumentation: MYP - Manage Your Printer

## Übersicht

Diese Verzeichnisstruktur enthält die finale Dokumentation der betrieblichen Projektarbeit "MYP - Manage Your Printer" im Markdown-Format. Die Dokumentation wird zur finalen Abgabe manuell in das von der IHK geforderte Word-Format übertragen.

## Dokumentationsstruktur

### Hauptdokument
- `Dokumentation.md` - Vollständige Projektdokumentation gemäß IHK-Vorgaben

### Medienverzeichnis
- `media/` - Enthält alle eingebundenen Grafiken, Diagramme und Screenshots
  - Netzwerkdiagramme
  - Systemarchitektur-Visualisierungen
  - Benutzeroberflächen-Screenshots
  - Zenmap-Visualisierungen

## Projektinformationen

**Projekttitel:** MYP – Manage Your Printer  
**Untertitel:** Digitalisierung des 3D-Drucker-Reservierungsprozesses durch Etablierung der cyberphysischen Kommunikation mit relevanten Hardwarekomponenten  
**Prüfungsbewerber:** Till Tomczak  
**Ausbildungsbetrieb:** Mercedes-Benz AG, Berlin  
**Abgabedatum:** 5. Juni 2025  
**Ausbildungsberuf:** Fachinformatiker für digitale Vernetzung  

## Konvertierungsprozess

Die Übertragung vom Markdown-Format in das finale Word-Dokument erfolgt manuell unter Berücksichtigung folgender Aspekte:

1. **Formatierung:** Anpassung an die IHK-Formatvorgaben
2. **Seitenlayout:** Einhaltung der vorgegebenen Seitenränder und Schriftgrößen
3. **Nummerierung:** Konsistente Kapitelnummerierung und Seitenzahlen
4. **Abbildungen:** Korrekte Einbindung und Beschriftung aller Medien
5. **Inhaltsverzeichnis:** Automatische Generierung mit korrekten Seitenzahlen

## Technische Hinweise

- Die Dokumentation wurde in Markdown verfasst für bessere Versionskontrolle
- Alle Pfadangaben in der Dokumentation sind relativ zum Projektverzeichnis
- Medien sind im Unterverzeichnis `media/` organisiert
- Die finale Word-Version wird gemäß IHK-Vorgaben formatiert

## Status

**Aktueller Stand:** Dokumentation vollständig  
**Letztes Update:** Juni 2025  
**Bereit zur Konvertierung:** ✓
